Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get time schedule

GET/workspaces/{organizationId}/time-schedules/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Time schedule

idstringrequired
organizationIdstringrequired
namestringrequired
timeDatastring | nullrequired
createdAtstringrequired
updatedAtstringrequired
404

Time schedule not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/time-schedules/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "timeData": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?